com.google.gwt.editor.client

## Interface CompositeEditor.EditorChain<C,E extends Editor<? super C>>

Type Parameters:
  `C` - the type of object to be edited
  `E` - the type of Editor

All Known Implementing Classes:
  MockEditorChain

Enclosing interface:
  CompositeEditor<T,C,E extends Editor<? super C>>

    public static interface CompositeEditor.EditorChain<C,E extends Editor<? super C>>

Allows instances of the component type to be attached to the Editor framework.

See Also:
  `MockEditorChain`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `attach(C object, E subEditor)` Editors attached to the chain will be automatically flushed as if they were a statically-defined sub-Editor.
`void` `detach(E subEditor)` Detach a sub-Editor from the editor chain.
`C` `getValue(E subEditor)` Retrieves the value associated with the editor.

### Method Detail

#### attach

    void attach(C object,
                E subEditor)

Editors attached to the chain will be automatically flushed as if they were a statically-defined sub-Editor.

Parameters:
  `object` - the object to edit
  `subEditor` - the Editor to populate

#### detach

    void detach(E subEditor)

Detach a sub-Editor from the editor chain.

Parameters:
  `subEditor` - an Editor previously passed into `attach(C, E)`

#### getValue

    C getValue(E subEditor)

Retrieves the value associated with the editor.

Parameters:
  `subEditor` - an Editor previously passed into `attach(C, E)`
Returns:
  the value associated with the editor